## gnome-shell-xrdesktop 3.34.4

=== debian/changelog ===
gnome-shell-xrdesktop (3.34.4-1) unstable; urgency=medium

  * Rename from gnome-shell package. (Closes: #934310)
  * Apply patchset from 3.34.1-xrdesktop-0.13.2.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 13 Mar 2020 08:53:18 +0800

gnome-shell (3.34.4-1) unstable; urgency=medium

  * Team upload
  * d/gbp.conf: Switch to debian/unstable branch.
    debian/master is now in use for 3.35.x.
  * New upstream release
  * Apply post-release fixes up to 3.34.4-1-g99d948559
  * Bump Standards-Version to 4.5.0

 -- Simon McVittie <smcv@debian.org>  Tue, 25 Feb 2020 16:26:07 +0000

gnome-shell (3.34.3-1) unstable; urgency=medium

  * New upstream release
    + polkitAgent: Fix confirming via keyboard when password-less
  * control: Bump mutter BD to 3.34.3. This probably isn't *strictly*
    required, but nevertheless let's keep them in sync.

 -- Iain Lane <laney@debian.org>  Mon, 06 Jan 2020 13:40:57 +0000

gnome-shell (3.34.2-1) unstable; urgency=medium

  * Team upload

  [ Georges Basile Stavracas Neto ]
  * Add gnome-menus to Recommends.
    The files installed by gnome-menus are needed for the functionality of
    suggesting a name for a new folder to work.

  [ Simon McVittie ]
  * d/watch: Only watch for stable releases
  * New upstream release
  * d/gbp.conf: Use upstream/3.34.x branch
  * Add build-dependency on libgnome-desktop-3-dev (>= 3.34.2) for new
    systemd scope functionality
  * Remove Breaks/Conflicts on packages older than Debian 9 (oldstable)
  * Remove unused Lintian override
  * Bump Standards-Version to 4.4.1

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Dec 2019 16:55:02 +0000

gnome-shell (3.34.1+git20191024-1) unstable; urgency=medium

  * New upstream snapshot release
    + Fix some animations using invalid parameters
    + Compute lock timeout fade duration using animations parameters
    + Ensure unredirection is disabled after animations
    + Speed-up overview opening using windows cached centers (LP: #1848009)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 25 Oct 2019 13:36:08 +0100

gnome-shell (3.34.1-1) unstable; urgency=medium

  * New upstream release
    + Allow editing app folder names
    + Do not notify systemd before initialization is complete
    + Don't leak NOTIFY_SOCKET environment variable to applications
    + Fix accidentally skipped animations
    + Fix box-shadow glitch with prerendered resources
    + Fix desktop right click menu appearing in the wrong place if a Terminal
      window is open (LP: #1842910)
    + Fix extra icons appearing in "Frequent" view animation
    + Fix fading out desktop icons (Closes: #940612)
    + Fix "Frequent" view icons disappearing on hover (LP: #1846083)
    + Fix lock-up on X11 when ibus is already running on startup (LP:
      #1845198)
    + Fix screen dimming on idle (LP: #1846941)
    + Fix screenshots and window animations when scaled
    + Fix various regressions with dynamic workspaces
    + Improve performance when enabling/disabling all extensions
    + Make menu animations more consistent
    + Skip property transitions while hidden
    + Support SAE secrets in network agent (LP: #1844422)
  * control: Require mutter 3.34.1

 -- Iain Lane <laney@debian.org>  Wed, 09 Oct 2019 11:20:28 +0100

gnome-shell (3.34.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 30 Sep 2019 14:29:53 +0200

gnome-shell (3.34.0-1) experimental; urgency=medium

  * New upstream release
    + Handle startup/shutdown of misc X11 services
    + Fix sound volume mute/unmute
    + Correctly terminate pasted text
  * d/p/volume-Ignore-slider-changes-we-initiated-ourselves.patch: Drop,
    upstream
  * control: Bump mutter Build-Depends and Depends to 3.34.0

 -- Iain Lane <laney@debian.org>  Tue, 10 Sep 2019 10:51:44 +0100

gnome-shell (3.33.92-1) experimental; urgency=medium

  * New upstream release
    + Animate pointer a11y pie timer
    + Fix restarting shell in systemd user session
  * volume-Ignore-slider-changes-we-initiated-ourselves.patch: Cherry-pick.
    volume: Ignore slider changes we initiated ourselves Commit
    21e14bd46f9774e6c0146cb2169d938e782dba3c fixed this for the brightness
    slider, but we have the same problem for volume too. When the volume is
    muted - for example in Settings or via a media key, we update the slider
    to '0' to indicate this visually. But we also actually invoke the slider's
    callback to *set* the volume to zero. That means that the previous level
    is overwritten so it can't be restored when unmuting.  The fix is the same
    - when we update the slider internally ourselves, don't call the signal
    handler.
  * Bump mutter BD to 3.33.92, corresponding to the shell's version
  * control: BD on xwayland <!nocheck>, required for the testsuite
  * control, rules: Run a session bus for the testsuite

 -- Iain Lane <laney@debian.org>  Thu, 05 Sep 2019 18:15:19 +0100

gnome-shell (3.33.91-1) experimental; urgency=medium

  * New upstream release
    + Fix regression when adjusting brightness
    + Fix pointer a11y timeout animation
    + Add new extensions CLI tool
    + Only track top-level windows
  * control: Bump BDs per upstream, & add BDs for the extension tool

 -- Iain Lane <laney@debian.org>  Fri, 23 Aug 2019 21:05:26 +0100

gnome-shell (3.33.90-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    + Add option for disabling the hot corner
    + Allow dragging unfocused tiled/maximized windows from top bar
    + Allow to disable window menus via session mode
    + Avoid unnecessary style changes when computing :first/:last-child
    + Call GDM's RegisterSession() after startup (LP: #1798790)
    + Consistently animate new window actions
    + Disable emoji on-screen keyboard support on X11
    + Don't crash for world clock locations with no timezone
    + Don't leak old on-screen keyboard layout groups
    + Fix alt-tab icon size on HiDPI

