=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

SRCVER = 3.34.2
XRDVER = 0.13.2

fetch-patchset:
	git remote add xrdesktop \
	    https://gitlab.freedesktop.org/xrdesktop/gnome-shell.git || true
	git fetch xrdesktop
	git format-patch upstream/$(SRCVER)..$(SRCVER)-xrdesktop-$(XRDVER)


%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Denable-networkmanager=yes \
	-Denable-systemd=yes
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib/gnome-shell \
		$(CONFFLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gnome-shell/

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

override_dh_strip:
	dh_strip --dbgsym-migration='gnome-shell-dbg (<< 3.20.2-2~)'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Avoid test failures on buildd environments where HOME,
	# XDG_RUNTIME_DIR might be invalid
	mkdir -p -m700 $(CURDIR)/debian/home/run
	env \
		-u XDG_CACHE_HOME \
		-u XDG_CONFIG_DIRS \
		-u XDG_CONFIG_HOME \
		-u XDG_DATA_HOME \
		HOME=$(CURDIR)/debian/home \
		XDG_RUNTIME_DIR=$(CURDIR)/debian/home/run \
		dbus-run-session xvfb-run -a dh_auto_test
endif
