## gnome-shell-xrdesktop 3.36.1

=== debian/changelog ===
gnome-shell-xrdesktop (3.36.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 21 Apr 2020 15:36:51 +0800

gnome-shell-xrdesktop (3.36.1-1) unstable; urgency=medium

  * Rebased on top of gnome-shell version 3.36.1-5. (Closes: #956147)
  * Update patchset from 3.36.0-xrdesktop-0.14.0.
  * Bump build-deps on xrdesktop 0.14 release.
  * Move package from contrib to main as it's not depends on non-free
    anymore.
  * Ship gnome-shell-set-vr in gnome-shell-xrdesktop package.
  * Rename gnome-shell-extension-prefs-xrdesktop package.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 14 Apr 2020 10:49:39 +0800

gnome-shell (3.36.1-5) unstable; urgency=medium

  * Team upload
  * Merge changelog from unstable
  * Upload to unstable (transition: #954422)
  * d/gbp.conf: Follow upstream/3.36.x branch

 -- Simon McVittie <smcv@debian.org>  Fri, 10 Apr 2020 17:56:07 +0100

gnome-shell (3.36.1-4) experimental; urgency=medium

  * Team upload
  * extensions-app: Patch back in basic compatibility with old invocation.
    There are enough extensions in Debian that rely on being able to
    run "gnome-shell-extension-prefs <extension-UUID>" that we can't
    really drop this immediately.
    Mitigates: #956162, #956163, #956164, #956165, #956166, #956167,
    #956168, #956169, #956170, #956171, #956172

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Apr 2020 11:19:11 +0100

gnome-shell (3.36.1-3) experimental; urgency=medium

  * Team upload
  * Require an ibus version where #955769 (LP#1869641) has been fixed
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-31-ga6783692c

 -- Simon McVittie <smcv@debian.org>  Tue, 07 Apr 2020 18:27:29 +0100

gnome-shell (3.36.1-2) experimental; urgency=medium

  * Team upload
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-19-gdfcc5ffb1
    - Drop commit c89d6a63 for now, there seems to be some doubt as to
      whether it is fully correct

 -- Simon McVittie <smcv@debian.org>  Sat, 04 Apr 2020 12:17:51 +0100

gnome-shell (3.36.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were applied upstream
  * Build-depend on appstream, for its gettext .its integration
  * Install new AppStream metadata for extensions tool
  * Install bash completion for gnome-extensions CLI
  * d/patches: Update from upstream gnome-3-36 branch up to commit
    3.36.1-12-g3a863ee34
    - Translation updates
    - Don't override DesktopAppInfo desktop in Ubuntu's GNOME session,
      so NotShowIn=ubuntu works (LP: #1869905)
    - Various other bug fixes

  [ Laurent Bigonville ]
  * debian/control.in: Bump gir1.2-gnomedesktop-3.0 (build-)dependency

 -- Simon McVittie <smcv@debian.org>  Fri, 03 Apr 2020 14:23:59 +0100

gnome-shell (3.36.0-2) experimental; urgency=medium

  * Split gnome-shell-extension-prefs out into its own binary package.
    It's not useful and arguably misleading to show this to everybody by
    default, since it is only a tool for enabling/disabling extensions you
    have already installed - and we don't provide any out of the box.
    Perhaps it'd be useful for individual extensions to cause this to be
    installed via Recommends.
  * Cherry-pick a few patches from 3.36.1; see patch descriptions for more
    details.
      - d/p/St-Ensure-to-update-entry-hint-visibility-with-IM-preedit.patch
      - d/p/ibusManager-fix-ibus-launch-error-because-of-wrong-method.patch
      - d/p/st-texture-cache-Fix-invalid-memory-write-related-to-X11-.patch
      - d/p/windowManager-Do-not-shutdown-ibus-xsettings-on-X11-compo.patch

 -- Iain Lane <laney@debian.org>  Thu, 19 Mar 2020 20:37:04 +0000

gnome-shell (3.36.0-1) experimental; urgency=medium

  * New upstream release
    + Allow session modes to specify alternative resource name
    + Don't require gsd-xsettings for X11 support on wayland
    + Fix crash on startup with topIcons* extension enabled
    + Fix ibus support in Xorg session
    + Fix illegible app folder titles with light theme
    + Fix link to location settings in aggregate menu
    + Fix off-by-1900 error in date conversions
    + Improve Extensions D-Bus API
    + Really fix visual glitch in sliders
  * control:
    + Breaks: gnome-shell-extension-appindicator << 33 to be on the
      safe side.
    + Bump mutter and gnome-desktop BDs per meson.build

 -- Iain Lane <laney@debian.org>  Mon, 16 Mar 2020 15:25:22 +0000

gnome-shell (3.35.92-2) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: Breaks on dashtodock minor than 67+git20200225-1

 -- Iain Lane <laney@debian.org>  Wed, 04 Mar 2020 09:24:55 +0000

gnome-shell (3.35.92-1) experimental; urgency=medium

  * New upstream release
  * control: Bump mutter deps to .92
  * Style-looking-glass-variant-independant.patch: Drop, upstream

 -- Iain Lane <laney@debian.org>  Tue, 03 Mar 2020 16:37:58 +0000

gnome-shell (3.35.91-1) experimental; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
    - Improve visual appearance of Weather integration
    - New system dialog designs
    - Sandbox the portal helper
    - Improvements to the magnifier
    - New lock screen (a merge of screen shield and unlock dialog)
      (LP: #1832812, LP: #1827751)
    - Show the suspend button in the power menu (LP: #1697143)
    - Font size matches configured interface font size (LP: #1717453)
    - Only enable OSK automatically if touch-mode is enabled (LP: #1721319)
    - Added show-password emblem to password entries (LP: #1860540)
  * debian/control:
    - Update build dependencies
  * debian/gnome-shell-common.install: Add extensions tool icons
  * d/p/Style-looking-glass-variant-independant.patch:
    - Allow to style looking glass properly

  [ Laurent Bigonville ]
  * debian/rules: Do not override libexecdir so things are installed in
    /usr/libexec now that's allowed by the policy


