=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gnome-shell-xrdesktop
-Section: contrib/gnome
+Section: gnome
 Priority: optional
 Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
 Uploaders: Héctor Orón Martínez <zumbi@debian.org>
-Build-Depends: asciidoc-base,
+Build-Depends: appstream,
+               asciidoc-base,
+               bash-completion,
                dbus <!nocheck>,
                debhelper-compat (= 12),
                dh-sequence-gir,
@@ -15,7 +17,7 @@
                gir1.2-accountsservice-1.0 <!nocheck>,
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
-               gir1.2-gnomedesktop-3.0 (>= 3.33.4) <!nocheck>,
+               gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
                gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
@@ -26,27 +28,26 @@
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
-               libcroco3-dev (>= 0.6.8),
                libecal2.0-dev (>= 3.33.1),
                libedataserver1.2-dev (>= 3.17.2),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.50.2-3~),
+               libgjs-dev (>= 1.63.2),
                libgl1-mesa-dev,
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
                libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
-               libgnome-desktop-3-dev (>= 3.34.2),
+               libgnome-desktop-3-dev (>= 3.35.90),
                libgnome-menu-3-dev,
                libgraphene-1.0-dev,
                libgstreamer1.0-dev (>= 0.11.92),
                libgtk-3-dev (>= 3.21.6),
-               libgulkan-dev,
-               libibus-1.0-dev,
-               libinputsynth-dev (>= 0.13),
+               libgulkan-dev (>= 0.14~),
+               libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
+               libinputsynth-dev (>= 0.14~),
                libjson-glib-dev,
-               libmutter-5-dev (>= 3.34.3),
+               libmutter-6-dev (>= 3.36.0),
                libnm-dev (>= 1.10.4) [linux-any],
                libgxr-dev (>= 0.13) [linux-any],
                libopenvr-dev [linux-any],
@@ -58,7 +59,7 @@
                libx11-dev,
                libxfixes-dev,
                libxml2-dev,
-               libxrdesktop-dev (>= 0.13),
+               libxrdesktop-dev (>= 0.14~),
                mesa-common-dev,
                meson (>= 0.47.0),
                pkg-config (>= 0.22),
@@ -73,7 +74,7 @@
 Vcs-Browser: https://salsa.debian.org/xrdesktop-team/gnome-shell-xrdesktop
 
 Package: gnome-shell-xrdesktop
-Section: contrib/gnome
+Section: gnome
 Architecture: linux-any
 Depends: evolution-data-server (>= 3.17.2),
          gir1.2-accountsservice-1.0,
@@ -85,11 +86,11 @@
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0 (>= 1.56.0),
          gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
-         gir1.2-gnomedesktop-3.0 (>= 3.33.4),
+         gir1.2-gnomedesktop-3.0 (>= 3.35.90),
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
-         gir1.2-ibus-1.0 (>= 1.5.2),
-         gir1.2-mutter-5 (>= 3.34.3),
+         gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
+         gir1.2-mutter-6 (>= 3.36.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -97,13 +98,13 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
-         gjs (>= 1.47.90),
+         gjs (>= 1.63.2),
          gnome-backgrounds (>= 3.13.90),
          gnome-settings-daemon (>= 3.16.0),
          gnome-shell-common-xrdesktop (= ${source:Version}),
          gsettings-desktop-schemas (>= 3.33.1),
          libglib2.0-bin (>= 2.53.0),
-         mutter (>= 3.34.3),
+         mutter (>= 3.36.0),
          python3,
          ${gir:Depends},
          ${misc:Depends},
@@ -121,10 +122,11 @@
             unzip
 Suggests: gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0)
-Breaks: gnome-shell-extension-autohidetopbar (<< 20180511-2~),
+Breaks: gnome-shell-extension-appindicator (<< 33),
+        gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
         gnome-shell-extension-dash-to-panel (<= 18-1),
-        gnome-shell-extension-dashtodock (<= 64-1),
+        gnome-shell-extension-dashtodock (<< 67+git20200225-1),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
@@ -144,10 +146,25 @@
  technology of the GNOME 3 user experience.
 
 Package: gnome-shell-common-xrdesktop
-Section: contrib/gnome
+Section: gnome
 Architecture: all
 Depends: ${misc:Depends}
 Conflicts: gnome-shell-common
 Provides: gnome-shell-common
 Description: common files for the GNOME graphical shell
  This package contains translations and data files for the GNOME shell.
+
+Package: gnome-shell-extension-prefs-xrdesktop
+Architecture: linux-any
+Depends: gnome-shell-xrdesktop (= ${binary:Version}),
+         gnome-shell-common-xrdesktop (= ${source:Version}),
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: gnome-shell (<< 3.36.0-2)
+Replaces: gnome-shell (<< 3.36.0-2)
+Conflicts: gnome-shell-extension-prefs
+Provides: gnome-shell-extension-prefs
+Description: tool to enable / disable GNOME Shell extensions
+  This package contains a tool which users who use Shell extensions can use to
+  toggle them on and off, and access their preferences.
