=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 
 %:
-	dh $@
+	dh $@ --with bash_completion
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 CONFFLAGS = \
@@ -25,7 +25,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
-		--libexecdir=/usr/lib/gnome-shell \
+		-Dbash_completion=true \
 		$(CONFFLAGS)
 
 override_dh_missing:
